[8.04] Canon iP1800 printer not supported out of the box

Bug #235368 reported by David on 2008-05-28
4
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

Binary package hint: openoffice.org

troubleshooting couldn't print test page, gave this information:

Page 1 (Choose printer):
{'cups_dest': <cups.Dest object at 0x86fa0a0>,
 'cups_instance': None,
 'cups_queue': 'iP1800_series',
 'cups_queue_listed': True}
Page 2 (Check printer sanity):
{'cups_device_uri_scheme': u'usb',
 'cups_printer_dict': {'device-uri': u'usb://Canon/iP1800%20series',
                       'printer-info': u'Canon iP1800 series',
                       'printer-is-shared': True,
                       'printer-location': u'',
                       'printer-make-and-model': u'Generic text-only printer',
                       'printer-state': 3,
                       'printer-state-message': u'',
                       'printer-state-reasons': [u'none'],
                       'printer-type': 135172,
                       'printer-uri-supported': u'ipp://localhost:631/printers/iP1800_series'},
 'is_cups_class': False}
Page 3 (Printer state reasons):
{'printer-state-message': '', 'printer-state-reasons': 'none'}
Page 4 (Print test page):
{'test_page_attempted': True,
 'test_page_job_status': [],
 'test_page_successful': False}
Page 5 (Printer state reasons):
{'printer-state-message': '', 'printer-state-reasons': 'none'}

ProblemType: Bug
Architecture: i386
Date: Tue May 27 21:21:49 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: openoffice.org-core 1:2.4.0-3ubuntu6
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/lib/openoffice/program:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: openoffice.org
Uname: Linux 2.6.24-17-generic i686

David (lionheart912) wrote :

Looking at the above logs you are using an incorrect driver for your printer (printer-make-and-model: Generic text-only printer).
Canon printers need a proprietary driver that is not included into Ubuntu.

I found this post on the ubuntu forums that could be of help to you to install Canon iP1800 proprietary drivers: http://ubuntuforums.org/showpost.php?p=4900242&postcount=12

If you want this printer driver to be installed automatically in future versions of Ubuntu you should ask the printer manufacturer to provide a distribution independent driver package as described here: http://www.linux-foundation.org/en/OpenPrinting/WritingAndPackagingPrinterDrivers, so we can implement this specification: https://blueprints.launchpad.net/ubuntu/+spec/printerdriverautodownload in future versions of Ubuntu that will automatically install your printer driver.

Changed in cupsys:
status: New → Confirmed
Changed in jockey:
importance: Undecided → Wishlist
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers